using System;
using System.Collections.Generic;
using System.Text;
using System.Resources;

namespace Mediachase.Commerce.Website.BaseControls
{
    /// <summary>
    /// The resource manager.
    /// </summary>
    public class StoreResourceManager
    {
        /// <summary>
        /// Gets the string.
        /// </summary>
        /// <param name="name">The name.</param>
        /// <returns></returns>
        public string GetString(string name)
        {
            string str = "";
            try
            {
                str = System.Web.HttpContext.GetGlobalResourceObject("StoreResources", name, System.Threading.Thread.CurrentThread.CurrentUICulture).ToString();
            }
            catch
            {
                try
                {
                    object obj = System.Web.HttpContext.GetGlobalResourceObject("StoreResources", name);
                    if (obj == null)
                        throw new MissingManifestResourceException(String.Format("Resource for key {0} was not found.", name), null);

                    str = obj.ToString();
                }
                catch (System.Resources.MissingManifestResourceException ex)
                {

                    throw new MissingManifestResourceException(String.Format("Resource for key {0} was not found.", name), ex);
                }
            }
            return str;
        }
    }
}
