﻿using System.Text;

namespace Mediachase.Search.Providers.Solr35.Select
{
    internal class VerbatimQuery : QueryPart
    {
        private readonly string queryText;

        public VerbatimQuery(string queryText)
        {
            this.queryText = queryText;
        }

        public override bool HasContent()
        {
            return true;
        }

        public override void AppendTo(StringBuilder builder)
        {
            builder.Append(queryText);
        }
    }
}
